
Log Reporting - Bug #7343

ClassCastException thrown on MNode cast from MultipartCNode

2015-09-13 20:20 - Robert Waltz

Status: Closed Start date: 2015-09-13

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_log_aggregation Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

Found this exception when CN attempting to harvest its content from metacat

[LogAggregationQuartzScheduler_Worker-1] ERROR org.dataone.cn.batch.logging.jobs.LogAggregationHarvestJob -

Job-urn:node:cnDevUCSB1 ExecutionException- urn:node:cnDevUCSB1-java.lang.ClassCastException:

org.dataone.client.v1.impl.MultipartCNode cannot be cast to org.dataone.client.v1.MNode

Associated revisions

Revision 16317 - 2015-09-15 17:24 - Robert Waltz

closes #7343

ClassCastException thrown on MNode cast from MultipartCNode

Revision 16317 - 2015-09-15 17:24 - Robert Waltz

closes #7343

ClassCastException thrown on MNode cast from MultipartCNode

Revision 16321 - 2015-09-15 18:19 - Robert Waltz

closes #7343

ClassCastException thrown on MNode cast from MultipartCNode

Revision 16321 - 2015-09-15 18:19 - Robert Waltz

closes #7343

ClassCastException thrown on MNode cast from MultipartCNode

History

#1 - 2015-09-15 17:35 - Robert Waltz

- Status changed from New to In Progress

- % Done changed from 0 to 30

#2 - 2015-09-15 21:14 - Robert Waltz

- Status changed from In Progress to Closed

- % Done changed from 30 to 100
Applied in changeset java-client:d1client|r16317.
